> ## Documentation Index
> Fetch the complete documentation index at: https://siderolabs-fe86397c-1-11-reference.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Install talosctl

`talosctl` is a command-line tool for interacting with the Talos API and managing Talos machines.

Follow the instructions below to install it on your operating system:

## Linux and macOS

Install and update `talosctl` using the [Homebrew package manager](https://brew.sh/):

```bash
brew install siderolabs/tap/sidero-tools
```

This will keep your `talosctl` version up to date with new releases. The Homebrew tap also includes a formula for `omnictl`.

## Manual installation

Alternatively, install the latest version of `talosctl` using this convenience script:

```
curl -sL https://talos.dev/install | sh
```

This script only installs `talosctl`. It does not install `omnictl` or [`kubelogin`](https://github.com/int128/kubelogin) which are required for Omni management.

See [Install and configure omnictl](omni/getting-started/install-and-configure-omnictl) to install `omnictl` separately.

## Windows

For Windows, you can download binaries from GitHub releases for Talos and Omni:

* [Talos releases](https://github.com/siderolabs/talos/releases)
* [Omni releases](https://github.com/siderolabs/omni/releases)

There is also a community managed [winget package for talosctl](https://winget.run/pkg/Sidero/talosctl) available.

## Allowed privileged commands

Omni manages the state of Talos nodes and secures Kubernetes and Talos credentials. Because of this, some `talosctl` commands (such as `talosctl reset`) will return `PermissionDenied` on Omni-managed clusters. These operations must be performed through the Omni UI or API.

However, users with at least the [Operator](https://omni.siderolabs.com/reference/acls#role) role are allowed to run the following commands:

| Command                                        |
| ---------------------------------------------- |
| `talosctl etcd alarm list`                     |
| `talosctl etcd alarm disarm`                   |
| `talosctl etcd defrag`                         |
| `talosctl etcd status`                         |
| `talosctl pcap`                                |
| `talosctl reboot`                              |
| `talosctl restart`                             |
| `talosctl service <id> [stop\|start\|restart]` |
| `talosctl shutdown`                            |
